<?php

Yii::import('application.modules.core_models.models._base.BaseModel');

/**
 * This is the model base class for the table "gmb_location_removed".
 * DO NOT MODIFY THIS FILE! It is automatically generated by giix.
 * If any changes are necessary, you must set or override the required
 * property or method in class "GmbLocationRemoved".
 *
 * Columns in table "gmb_location_removed" available as properties of the model,
 * and there are no model relations.
 *
 * @property integer $id
 * @property integer $gmb_account_id
 * @property string $name
 * @property string $description
 * @property string $place_id
 * @property integer $provider_practice_gmb_id
 * @property string $date_last_sync
 * @property string $date_added
 *
 */
abstract class BaseGmbLocationRemoved extends BaseModel
{

    public static function model($className = __CLASS__)
    {
        return parent::model($className);
    }

    public function tableName()
    {
        return 'gmb_location_removed';
    }

    public static function label($n = 1)
    {
        return Yii::t('app', 'GmbLocationRemoved|GmbLocationRemoveds', $n);
    }

    public static function representingColumn()
    {
        return 'name';
    }

    public function rules()
    {
        return array(
            array('id, gmb_account_id, name', 'required'),
            array('id, gmb_account_id, provider_practice_gmb_id', 'numerical', 'integerOnly'=>true),
            array('name', 'length', 'max'=>125),
            array('description', 'length', 'max'=>145),
            array('place_id', 'length', 'max'=>80),
            array('date_last_sync, date_added', 'safe'),
            array('description, place_id, provider_practice_gmb_id, date_last_sync, date_added', 'default', 'setOnEmpty' => true, 'value' => null),
            array('id, gmb_account_id, name, description, place_id, provider_practice_gmb_id, date_last_sync, date_added', 'safe', 'on'=>'search'),
        );
    }

    public function relations()
    {
        return array(
        );
    }

    public function pivotModels()
    {
        return array(
        );
    }

    public function attributeLabels()
    {
        return array(
            'id' => Yii::t('app', 'ID'),
            'gmb_account_id' => Yii::t('app', 'Gmb Account'),
            'name' => Yii::t('app', 'Name'),
            'description' => Yii::t('app', 'Description'),
            'place_id' => Yii::t('app', 'Place'),
            'provider_practice_gmb_id' => Yii::t('app', 'Provider Practice Gmb'),
            'date_last_sync' => Yii::t('app', 'Date Last Sync'),
            'date_added' => Yii::t('app', 'Date Added'),
        );
    }

    public function search()
    {
        $criteria = new CDbCriteria;

        $criteria->compare('id', $this->id);
        $criteria->compare('gmb_account_id', $this->gmb_account_id);
        $criteria->compare('name', $this->name, true);
        $criteria->compare('description', $this->description, true);
        $criteria->compare('place_id', $this->place_id, true);
        $criteria->compare('provider_practice_gmb_id', $this->provider_practice_gmb_id);
        $criteria->compare('date_last_sync', $this->date_last_sync, true);
        $criteria->compare('date_added', $this->date_added, true);

        return new CActiveDataProvider($this, array(
            'criteria' => $criteria, 'pagination' => array('pageSize' => 100)
        ));
    }

}
